Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.util.help
Class SubcategoryItem

    java.lang.Object
      avrora.util.help.SubcategoryItem

All Implemented Interfaces:
  HelpItem

public class SubcategoryItem
extends java.lang.Object
implements HelpItem

The `SubcategoryItem` class implements a help item that represents a subcategory in a help category. This class is used to add a list of other related help categories at the end of a section within another help category.

Field Summary
`protected java.lang.String` | `help`
`HelpCategory` | `helpCat`
`int` | `indent`

Constructor Summary
`SubcategoryItem(int indent, HelpCategory hc)` The constructor for the `SubcategoryItem` method creates a new instance that represents a help item that can be added to the end of a section in another help category.

Method Summary
`java.lang.String` | `getHelp()` The `getHelp()` method returns the help string of the underlying help category.
`void` | `printHelp()` The `printHelp()` method prints out a well-formatted paragraph containing the help for this subcategory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indent

    public final int indent

### helpCat

    public final HelpCategory helpCat

### help

    protected java.lang.String help

Constructor Detail

### SubcategoryItem

    public SubcategoryItem(int indent,
                           HelpCategory hc)

  The constructor for the `SubcategoryItem` method creates a new instance that represents a help item that can be added to the end of a section in another help category.

Parameters:
  `indent` - the number of spaces to indent when printing to the terminal
  `hc` - the help category that this item refers to

Method Detail

### getHelp

    public java.lang.String getHelp()

  The `getHelp()` method returns the help string of the underlying help category.

  Specified by:
    `getHelp` in interface `HelpItem`
  Returns:
    a help string for this item.

### printHelp

    public void printHelp()

  The `printHelp()` method prints out a well-formatted paragraph containing the help for this subcategory.

  Specified by:
    `printHelp` in interface `HelpItem`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD